std::is_placeholder< _Placeholder< _Num > > Struct Template Reference
Utilities » Function Objects » Binder Classes

`#include <functional>`

Inheritance diagram for std::is_placeholder< _Placeholder< _Num > >:
[legend]

## Public Types

using | type = integral_constant< int, __v >
using | value_type = int

## Public Member Functions

constexpr | operator value_type () const noexcept

## Static Public Attributes

static constexpr int | value

## Detailed Description

template<int _Num>
struct std::is_placeholder< _Placeholder< _Num > >

Partial specialization of is_placeholder that provides the placeholder number for the placeholder objects defined by libstdc++.

Since
  C++11

Definition at line 341 of file functional.

## Member Typedef Documentation

## type

using std::integral_constant< int , __v >::type = integral_constant<int , __v>

inherited

Definition at line 91 of file type_traits.

## value_type

using std::integral_constant< int , __v >::value_type = int

inherited

Definition at line 90 of file type_traits.

## Member Function Documentation

## operator value_type()

constexpr std::integral_constant< int , __v >::operator value_type | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 92 of file type_traits.

## Member Data Documentation

## value

constexpr int std::integral_constant< int , __v >::value

static constexpr inherited

Definition at line 89 of file type_traits.

The documentation for this struct was generated from the following file:

- functional